#include <unistd.h>
#include <sys/types.h>

#include <QApplication>
#include <QMessageBox>

#include "settingsui.h"

int main(int argc, char **argv)
{
    QApplication app(argc, argv);

    if (geteuid() != 0)
    {
        QMessageBox::warning(NULL, "Root Access Required",
                             "You need to be root to execute this application.");
        exit(1);
    }

    SettingsDialog d;
    d.show();

    return app.exec();
}

