#ifndef TREEVIEW_H
#define TREEVIEW_H

#include <QStandardItemModel>
#include <QTreeView>

#include "spinboxdelegate.h"

class TreeView : public QTreeView
{
    Q_OBJECT

public:
    TreeView(QWidget *parent = 0);
    void add(QString url, int duration);
    void delSelection();
    void moveSelection(int howMuch);

private:
    QStandardItemModel *m_model;
    SpinBoxDelegate *m_delegate;
};

#endif
